from axelrod.action import Action
from axelrod.player import Player
lIIIlIIlIIlI, lIllIIIll = Action.C, Action.D
class lIllIIIIIllIII(Player):
    IlIllllIllllllIIlIl = "strategy"
    lllIlIIllIlIIllIlIll = {
        "memory_depth": 1,
        "long_run_time": False,
        "stochastic": True,
        "inspects_source": False,
        "manipulates_source": False,
        "manipulates_state": False,
    }
    def IllIIllIIlIlllIII(IlIllIllIIlI, lIllIIIIIllll: Player) -> Action:
        if not lIllIIIIIllll.history:
            return IlIllIllIIlI._random.random_choice()
        if IlIllIllIIlI.history[-1] == lIllIIIll and lIllIIIIIllll.history[-1] == lIllIIIll:
            return lIllIIIll
        return lIIIlIIlIIlI